> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Attributes

> Retrieve the custom attributes set on an employee or contractor.



## OpenAPI

````yaml openapi/zeal-api.json get /attributes
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /attributes:
    get:
      operationId: get_attributes
      parameters:
        - name: companyID
          in: query
          required: true
          schema:
            type: string
        - in: query
          name: employeeID
          schema:
            type: string
        - in: query
          name: contractorID
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              examples:
                New Example:
                  summary: New Example
                  value:
                    data:
                      - companyID: dcb3bd9403ad41c98bbc2b4d54d88a44
                        attributeID: 9ecd856e-8b3c-4337-a633-0dcadf2a8fc4
                        type: options
                        name: T-shirt size
                        label: T-shirt size
                        description: ''
                        options:
                          - value: S
                            name: S
                          - value: M
                            name: M
                          - value: L
                            name: L
                          - value: XL
                            name: XL
                        value: XL
                        defaultValue: ' '
                      - companyID: dcb3bd9403ad41c98bbc2b4d54d88a44
                        attributeID: 694eb6b0-6441-4150-88a2-5bd0fae84171
                        type: boolean
                        name: Acknowledge
                        label: Agree
                        description: ''
                        value: 'false'
                        defaultValue: false
                      - companyID: dcb3bd9403ad41c98bbc2b4d54d88a44
                        attributeID: c3267432-fa46-4fd8-b9b7-9b0d53552562
                        type: string
                        name: test text
                        label: test text
                        description: ''
                        constraints:
                          minLength: 5
                          maxLength: 10
                          pattern: null
                        value: ' '
                        defaultValue: ' '
                    success: true
                    testMode: false
      security:
        - sec0: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````